The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cwd object version 3.09 does not match $Cwd::VERSION 3.10.

Discussion in 'General Discussion' started by ttremain, Aug 31, 2005.

  1. ttremain

    ttremain Well-Known Member

    Joined:
    Feb 16, 2003
    Messages:
    212
    Likes Received:
    0
    Trophy Points:
    16
    [cPanel ID# 110060] Re: cppop and cpsrvd both continously fail

    Automatic update this AM to: 10.6.0-RELEASE_133

    1 server will not restart cppop or cpsrvd.

    /scripts/restartsrv_cppop
    Cwd object version 3.09 does not match $Cwd::VERSION 3.10.



    /var/log/chkservd.log
    [Wed Aug 31 01:57:06 2005] Service check ....apache [+]...clamd [+]...cppop [-Restarting cppop....
    Cwd object version 3.09 does not match $Cwd::VERSION 3.10.
    ]...cpsrvd [-Restarting cpsrvd....
    system: /usr/local/cpanel/etc/init/safekill cpsrvd
    system: /usr/local/cpanel/etc/init/safekill webmaild
    system: /usr/local/cpanel/etc/init/safekill cpaneld
    system: /usr/local/cpanel/cpsrvd
    ]...exim [+]...exim-26 [+]...eximstats [+]...ftpd [+]...imap [+]...mysql [+]...spamd [+]...syslogd [+]...Done
    [Wed Aug 31 02:05:27 2005] Service check ....apache [+]...clamd [+]...cppop [-Restarting cppop....
    Cwd object version 3.09 does not match $Cwd::VERSION 3.10.
    ]...cpsrvd [-Restarting cpsrvd....
    system: /usr/local/cpanel/etc/init/safekill cpsrvd
    system: /usr/local/cpanel/etc/init/safekill webmaild
    system: /usr/local/cpanel/etc/init/safekill cpaneld
    system: /usr/local/cpanel/cpsrvd
    ]...exim [+]...exim-26 [+]...eximstats [+]...ftpd [+]...imap [+]...mysql [+]...spamd [+]...syslogd [+]...Done
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    What happens if you run cppop from shell:

    /usr/local/cpanel/bin/cppop


    Do you get the Cwd error them? If so, try renaming or removing that binary and then run:

    /scripts/upcp --force
     
  3. ttremain

    ttremain Well-Known Member

    Joined:
    Feb 16, 2003
    Messages:
    212
    Likes Received:
    0
    Trophy Points:
    16
    Same issue has popped up on another server of ours.

    running /usr/local/cpanel/bin/cppop by itself causes the same error...

    I have removed the file, and am running upcp --force now...

    Same error:

    [/var/log]# /usr/local/cpanel/bin/cppop
    Cwd object version 3.09 does not match $Cwd::VERSION 3.10.
    [/var/log]# /scripts/restartsrv_cppop
    Cwd object version 3.09 does not match $Cwd::VERSION 3.10.
     
  4. gator

    gator Active Member

    Joined:
    Feb 27, 2003
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    Same error on my server. But upcp --force did not resolve the issue. The downloaded cpsrvd was bit for bit the save as the old version before the update so no change in behavior. Any one figure out how to get this thing running again?

    BTW there appears to be an md5sum mismatch on Accounting.inc.php when running the latest Release version of upcp. Probably unrelated.
     
  5. ttremain

    ttremain Well-Known Member

    Joined:
    Feb 16, 2003
    Messages:
    212
    Likes Received:
    0
    Trophy Points:
    16
    At least I'm not alone now...

    Nothing has helped as of yet, but I've started receiving responces to the
    support ticket I opened on the matter.
     
  6. gator

    gator Active Member

    Joined:
    Feb 27, 2003
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    OK, appears I had multiple issues going on at the same time. A corrupt /usr filesystem was being remounted read-only and hence upcp did not finish successfully. Once that was resolved the upcp was run again and the issue with cpsrvd and CWD versions was resolved. Thanks everyone.
     
Loading...

Share This Page